const express = require('express');
const Router = express.Router();
const controller = require("../app/controllers/Histroy.controller");
const authorize = require('../app/service/authorize');
const autintiation = require("../app/middleware/authMiddleware");
// ---------------------------------------------------
Router.get("/dahboard", autintiation, authorize("admin", "gamer"), controller.dahboard);
Router.get("/bet", autintiation, authorize("user", "admin","gamer"), controller.bet);
Router.get("/daily", autintiation, authorize("admin"), controller.daily);
Router.get("/transfer", autintiation, authorize("user", "admin"), controller.transfer);
Router.get("/add-cut", autintiation, authorize("admin"), controller.addcut);
Router.get("/clubmembar", autintiation, authorize("club"), controller.clubmembar);
Router.get("/transection", autintiation, authorize("user"), controller.transections);
Router.get("/deposit", autintiation, authorize("user"), controller.deposit);
// ----------------------------------------------------
module.exports = Router;